implement RCODE-INFO system handle
Status: Rejected Start date: 10/20/2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 40.00 hours

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

History

#1 - 10/20/2012 10:01 AM - Greg Shah

This system handle is almost too implementation specific to support.  But if the usage is important, the features can be duplicated.  We may have to

record additional data at conversion time into the name mapping DB or into the class, to provide this.

The basic usage is to set the FILE-NAME attribute to the name of a .r or .p (will search the PROPATH to find it if not fully qualified).  If found, then the

other attributes can be read, including:

CODEPAGE

CRC-VALUE (.r CRC value)

DB-REFERENCES (the list of logical DB names referenced in this program)

HANDLE

INSTANTIATING-PROCEDURE

IS-CLASS

LANGUAGES

MD5-VALUE

TABLE-CRC-LIST

TABLE-LIST

TYPE (always returns PSEUDO-WIDGET?)

#2 - 10/31/2012 01:44 PM - Greg Shah

- Target version set to Milestone 7

#3 - 01/15/2013 11:36 AM - Greg Shah

- Target version changed from Milestone 7 to Milestone 11

#4 - 05/02/2013 12:54 PM - Greg Shah

- Target version changed from Milestone 11 to Milestone 8

#5 - 03/23/2016 02:42 PM - Greg Shah
- Status changed from New to Rejected

This usage was removed from the application.

#6 - 11/16/2016 11:50 AM - Greg Shah

- Target version changed from Milestone 8 to GUI Support for a Complex ADM2 App
